Subject: Re: [bug#31548] [PATCH] gnu: Add sbcl-stumpwm-checkout.

From: [email-masked] (Ludovic Courtès)
Date: Fri, 25 May 2018 18:08:35 +0200

Oleg Pykhalov <[email-masked]> skribis:

> Hello Ludovic,
>
> [email-masked] (Ludovic Courtès) writes:
>
>> Oleg Pykhalov <[email-masked]> skribis:
>>
>>> * gnu/packages/lisp.scm (sbcl-stumpwm-checkout): New public variable.
>>
>> [...]
>>
>>> +(define-public sbcl-stumpwm-checkout
>>> +  (let ((commit "cec7fd9e963e5da59b05ba0ffbe292dc94fd2947"))
>>> +    (package
>>> +      (inherit sbcl-stumpwm)
>>> +      (version (git-version (package-version sbcl-stumpwm) "1" commit))
>>
>> Could you explain the rationale and write that as a comment?  :-)
>>
>> As you know we currently avoid packaging unreleased versions unless we
>> have a good reason to do so (info "(guix) Version Numbers").
>
> The reason I want to be it in a Guix package collection is StumpWM
> release version (not a release candidate) was published 1 year ago and
> since this date there are 250 commits in master branch.
>
> I was using StumpWM builded manually with Quicklisp, but then I switched
> to Guix package, because I don't want to build StumpWM manually, but I
> found that StumpWM command ‘toggle-always-on-top’ is missing and StumpWM
> contrib modules failed to build.
>
> It's a fast dirty solution to have StumpWM from Guix and StumpWM contrib
> modules with some dependencies builded with Quicklisp.  :-)  E.g.:

OK, that sounds reasonable.

In that case, I’d suggest changing the “name” field to “stumpwm-next” as
we did a few times in the past, so that by default, people still get the
official release.  That and a comment summarizing what you wrote above
and you can go ahead!

Thanks,
Ludo’.